import typer
from pathlib import Path
from zona import server
from zona.builder import ZonaBuilder
from zona.layout import initialize_site

app = typer.Typer()


@app.command()
def build(root: Path | None = None, output: Path | None = None):
    builder = ZonaBuilder(root, output)
    builder.build()


@app.command()
def serve(root: Path | None = None, output: Path | None = None):
    server.serve(root, output)


@app.command()
def init(root: Path | None = None):
    # init will populate the current directory with
    # the required folders and their default values
    initialize_site(root)


def main():
    app()
